> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute node

> Execute a node



## OpenAPI

````yaml https://api.getcargo.io/openapi.json post /orchestration/nodes/execute
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /orchestration/nodes/execute:
    post:
      tags:
        - Orchestration - Nodes
      summary: Execute node
      description: Execute a node
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                workflowUuid:
                  title: Workflow UUID
                  description: Workflow identifier.
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                releaseUuid:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                  title: Release UUID
                  description: Release identifier.
                node:
                  allOf:
                    - type: object
                      properties:
                        uuid:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                        slug:
                          type: string
                          pattern: ^\w+$
                        name:
                          type: string
                        config:
                          type: object
                          propertyNames:
                            type: string
                          additionalProperties: {}
                        description:
                          type: string
                        retry:
                          type: object
                          properties:
                            maximumAttempts:
                              type: number
                            initialInterval:
                              type: number
                            backoffCoefficient:
                              type: number
                        childrenUuids:
                          type: array
                          items:
                            anyOf:
                              - type: string
                              - type: 'null'
                        fallbackChildUuid:
                          type: string
                        fallbackOnFailure:
                          type: boolean
                        position:
                          type: object
                          properties:
                            x:
                              type: number
                            'y':
                              type: number
                          required:
                            - x
                            - 'y'
                      required:
                        - uuid
                        - slug
                        - config
                        - childrenUuids
                        - fallbackOnFailure
                        - position
                    - anyOf:
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - native
                            actionSlug:
                              type: string
                          required:
                            - kind
                            - actionSlug
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - connector
                            connectorUuid:
                              type: string
                            integrationSlug:
                              type: string
                            actionSlug:
                              type: string
                          required:
                            - kind
                            - integrationSlug
                            - actionSlug
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - tool
                            toolUuid:
                              type: string
                            templateSlug:
                              type: string
                            releaseUuid:
                              type: string
                            waitUntilFinished:
                              type: boolean
                          required:
                            - kind
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - agent
                            agentUuid:
                              type: string
                            templateSlug:
                              type: string
                            releaseUuid:
                              type: string
                            waitUntilFinished:
                              type: boolean
                          required:
                            - kind
                  title: Node
                  description: Node configuration.
                computedConfig:
                  type: object
                  propertyNames:
                    type: string
                  additionalProperties: {}
                  title: Computed config
                  description: Computed node configuration.
                context:
                  type: object
                  propertyNames:
                    type: string
                  additionalProperties: {}
                  title: Context
                  description: Execution context for the node.
                groupContext:
                  title: Group context
                  description: Group context for the node.
                  type: object
                  propertyNames:
                    type: string
                  additionalProperties: {}
              required:
                - workflowUuid
                - releaseUuid
                - node
                - computedConfig
                - context
              additionalProperties: false
              title: Request body
              description: Request body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    const: pending
                    title: Status
                    description: Execution status.
                  message:
                    type: string
                    title: Message
                    description: Status message.
                  runUuid:
                    title: Run UUID
                    description: >-
                      Identifier of the launched run, when available, so the
                      client can poll for its result.
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                required:
                  - status
                  - message
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````